%define upstream_name    Mail-LMLM
%define upstream_version 0.6804

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Mailing list type for Google groups mailing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The Mail::LMLM module allows users to easily manage HTML directories of
mailing lists of various mailing list managers and hosts.

To use it create a new module of type Mail::LMLM with a new method, while
initializing it with the list of mailing lists (in order of listing), and
other parameters. Then, invoke the render() function to create the HTML
files within the current directory.

Following is a listing of the parameters

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.680.400-3.mga6
+ Revision: 1029503
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.680.400-2.mga6
+ Revision: 966291
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.680.400-1.mga6
+ Revision: 843275
- update to 0.6804

* Wed Oct 15 2014 umeabot <umeabot> 0.680.300-3.mga5
+ Revision: 742790
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.680.300-2.mga5
+ Revision: 685315
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.680.300-1.mga5
+ Revision: 581210
- update to 0.6803

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.680.200-2.mga3
+ Revision: 369420
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.680.200-1.mga3
+ Revision: 277663
- imported package perl-Mail-LMLM


* Wed Aug 01 2012 cpan2dist 0.6802-1mga
- initial mageia release, generated with cpan2dist
